Kyb
Evaluate Company Risk
Evaluate a company's risk by running KYB rules and calculating a risk score based on the selected strategy.
Header Parameters
x-api-keystring
companyNumberstring
Official company registration number
countryCodestring
ISO country code of the company registration
Value in
"UK" | "DE" | "NL" | "FR" | "LU" | "RO" | "PL"parameters?object
Optional parameters for the evaluation
Response Body
curl -X POST "https://api.ambriel.io/v1/kyb/evaulate" \
-H "x-api-key: string" \
-H "Content-Type: application/json" \
-d '{
"companyNumber": "string",
"countryCode": "UK"
}'const body = JSON.stringify({
"companyNumber": "string",
"countryCode": "UK"
})
fetch("https://api.ambriel.io/v1/kyb/evaulate", {
headers: {
"x-api-key": "string"
},
body
})package main
import (
"fmt"
"net/http"
"io/ioutil"
"strings"
)
func main() {
url := "https://api.ambriel.io/v1/kyb/evaulate"
body := strings.NewReader(`{
"companyNumber": "string",
"countryCode": "UK"
}`)
req, _ := http.NewRequest("POST", url, body)
req.Header.Add("x-api-key", "string")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := ioutil.ReadAll(res.Body)
fmt.Println(res)
fmt.Println(string(body))
}import requests
url = "https://api.ambriel.io/v1/kyb/evaulate"
body = {
"companyNumber": "string",
"countryCode": "UK"
}
response = requests.request("POST", url, json = body, headers = {
"x-api-key": "string",
"Content-Type": "application/json"
})
print(response.text)import java.net.URI;
import java.net.http.HttpClient;
import java.net.http.HttpRequest;
import java.net.http.HttpResponse;
import java.net.http.HttpResponse.BodyHandlers;
import java.time.Duration;
import java.net.http.HttpRequest.BodyPublishers;
var body = BodyPublishers.ofString("""{
"companyNumber": "string",
"countryCode": "UK"
}""");
HttpClient client = HttpClient.newBuilder()
.connectTimeout(Duration.ofSeconds(10))
.build();
HttpRequest.Builder requestBuilder = HttpRequest.newBuilder()
.uri(URI.create("https://api.ambriel.io/v1/kyb/evaulate"))
.header("x-api-key", "string")
.header("Content-Type", "application/json")
.POST(body)
.build();
try {
HttpResponse<String> response = client.send(requestBuilder.build(), BodyHandlers.ofString());
System.out.println("Status code: " + response.statusCode());
System.out.println("Response body: " + response.body());
} catch (Exception e) {
e.printStackTrace();
}using System;
using System.Net.Http;
using System.Text;
var body = new StringContent("""
{
"companyNumber": "string",
"countryCode": "UK"
}
""", Encoding.UTF8, "application/json");
var client = new HttpClient();
client.DefaultRequestHeaders.Add("x-api-key", "string");
var response = await client.PostAsync("https://api.ambriel.io/v1/kyb/evaulate", body);
var responseBody = await response.Content.ReadAsStringAsync();{
"id": 0,
"assessment": {
"appliedRules": [
{
"code": "string",
"name": "string",
"score": 0,
"category": "string",
"likelihood": 0,
"impact": 0,
"weight": 0
}
],
"checkedRules": [
{
"code": "string",
"name": "string",
"score": 0,
"category": "string",
"likelihood": 0,
"impact": 0,
"weight": 0
}
],
"score": 0,
"level": "string",
"strategy": "SUM_OF_RISK_SCORES",
"thresholdMin": 0,
"thresholdMax": 0
},
"parameters": {
"categories": [
"ownership"
],
"jurisdictions": [
0
],
"strategy": "SUM_OF_RISK_SCORES",
"forceReportGeneration": true
}
}Empty
Empty
{
"errors": [
{
"message": "The field must be a valid value",
"rule": "ruleName",
"field": "phone"
}
]
}Empty